package valeurs;

import java.util.Observable;
import java.util.Observer;

public class ValeursObservateur implements Observer {

	private ValeursObservables vo;
	
	public ValeursObservateur(ValeursObservables vo) {
		this.vo = vo;
		vo.addObserver(this);
	}
	
	@Override
	public void update(Observable o, Object arg) {
		if (o != vo) {
			throw new IllegalArgumentException();
		}
		int i = (Integer)arg;
		System.out.println("La valeur d'indice " + i + " a été changée en " + vo.valeur(i));
	}

}
